Package org.apache.datasketches.hive.theta

## Class DataToSketchUDAF.DataToSketchEvaluator

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator
  - - org.apache.datasketches.hive.theta.UnionEvaluator
    - - org.apache.datasketches.hive.theta.DataToSketchUDAF.DataToSketchEvaluator

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  DataToSketchUDAF

    public static class DataToSketchUDAF.DataToSketchEvaluator
    extends UnionEvaluator

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AbstractAggregationBuffer, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationType, org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.Mode`

### Field Summary

### Fields inherited from class org.apache.datasketches.hive.theta.UnionEvaluator

`inputObjectInspector, intermediateObjectInspector, NOMINAL_ENTRIES_FIELD, nominalEntriesObjectInspector, SEED_FIELD, seedObjectInspector, SKETCH_FIELD`

### Fields inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`partitionEvaluator`

### Constructor Summary

Constructors
`DataToSketchEvaluator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector` `init​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.Mode mode, org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] parameters)`
`void` `iterate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg, Object[] parameters)`

### Methods inherited from class org.apache.datasketches.hive.theta.UnionEvaluator

`getNewAggregationBuffer, merge, reset, terminate, terminatePartial`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator

`aggregate, close, configure, createPartitionEvaluator, estimate, evaluate, getExprString, getPartitionWindowingEvaluator, getWindowingEvaluator, isEstimable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataToSketchEvaluator

    public DataToSketchEvaluator()

### Method Detail

#### init

    public org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector init​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.Mode mode,
                                                                              org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] parameters)
                                                                       throws org.apache.hadoop.hive.ql.metadata.HiveException

Overrides:
  `init` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`

#### iterate

    public void iterate​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator.AggregationBuffer agg,
                        Object[] parameters)
                 throws org.apache.hadoop.hive.ql.metadata.HiveException

Specified by:
  `iterate` in class `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator`
Throws:
  `org.apache.hadoop.hive.ql.metadata.HiveException`